// Scenegraph Manager.
// Worthless Bums 2013.


function pruneLevelSceneGraphOfTargetIndicators ()
{//echo("pruneLevelSceneGraphOfTargetIndicators()");
	//clearTargetIndicators(false);	// TESTER!
	if (isObject(levelSceneGraph))
	{
		for (%i = 0; %i < levelSceneGraph.getCount(); %i++)
		{
			%sceneObject = levelSceneGraph.getObject(%i);
			if (%sceneObject.Animation $= "TargetIndicatorFramesAnimation"	||
				%sceneObject.Animation $= "FreeIndicatorFramesAnimation"	||
				%sceneObject.Animation $= "MaxRangeIndicatorFramesAnimation")
			{//echo("deleting target indicator!");
				%sceneObject.safeDelete();
			}
		}
		//setIndividualDialoguePopup($playerSquad[$activeCharacter], "pruneLevelSceneGraphOfTargetIndicators()!", "dialogue");
	}
}